CCfits 2.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CCfits::HDU::InvalidExtensionType Class Reference
FITS Exceptions

exception to be thrown if user requests extension type that can not be understood as ImageExt, AsciiTable or BinTable. More...

`#include <HDU.h>`

Inheritance diagram for CCfits::HDU::InvalidExtensionType:

## Public Member Functions
| InvalidExtensionType (const string &diag, bool silent=true)
| Exception ctor, prefixes the string "Fits Error: Extension Type: " before the specific message. More...
Public Member Functions inherited from CCfits::FitsException
| FitsException (const string &msg, bool &silent)
const string & | message () const
| returns the error message More...

## Detailed Description

exception to be thrown if user requests extension type that can not be understood as ImageExt, AsciiTable or BinTable.

## Constructor & Destructor Documentation

CCfits::HDU::InvalidExtensionType::InvalidExtensionType | ( | const string & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "Fits Error: Extension Type: " before the specific message.

Parameters

  diag | A specific diagnostic message
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- HDU.h
- HDU.cxx